Package org.eclipse.gef.cloudio.internal.ui.util

## Class SmallRect

- java.lang.Object
- - org.eclipse.gef.cloudio.internal.ui.util.SmallRect

    public class SmallRect
    extends java.lang.Object

A custom variation of a rectangle, which stores the required values as short instead of int, thus saving some space.

### Constructor Summary

Constructors
`SmallRect​(int x, int y, int width, int height)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`int` `hashCode()`
`boolean` `intersects​(int x, int y, int width, int height)`
`boolean` `intersects​(SmallRect rect)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SmallRect

    public SmallRect​(int x,
                     int y,
                     int width,
                     int height)

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`

#### intersects

    public boolean intersects​(SmallRect rect)

#### intersects

    public boolean intersects​(int x,
                              int y,
                              int width,
                              int height)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`